<div class="container">
  <div class="top-page">
    <span class="title">Black Oil Properties</span>
    <div class="top-btn">
      <div class="box-export" *ngIf="showTableCalculator">
        <span class="title-export">export to</span>
        <a href="javascript:;" class="click-export" (click)="downloadCsv()">
          <fa-icon class="export-icon pdf-icon" [icon]="['fas', 'file-csv']" [styles]="{ color: '#6E9700' }"></fa-icon>
        </a>
        <a href="javascript:;" class="click-export" (click)="downloadPdf()">
          <fa-icon class="export-icon csv-icon" [icon]="['fas', 'file-pdf']" [styles]="{ color: '#D61600' }"></fa-icon>
        </a>
      </div>
      <!-- end/box export -->
      <button mat-button class="btn-calculator" [disabled]="!showBtnCalculator" (click)="showCalculator()">
        Calculate
      </button>
    </div>
    <!-- end/top btn -->
  </div>
  <div class="group-content">
    <div class="cover-content">
      <div class="top-content">
        <span class="title-box">Well Name</span>
        <div class="input-here">
          <pvt-dropdown [data]="optionsWellName" (callback)="callbackDropdown($event)"></pvt-dropdown>
        </div>
        <!-- end/input here -->
      </div>
      <!-- end/top content -->
      <div class="content-loading" *ngIf="isLoading">
        <gng-spinner></gng-spinner>
      </div>
      <div class="second-content">
        <div class="box-add">
          <form [formGroup]="form">
            <ul class="list-add" formArrayName="data">
              <li class="special-item" *ngIf="form.get('data')['controls'].length > 0">
                <div class="header-input">
                  <div class="header-input-tile" *ngFor="let column of listValueAbbreviated">
                    <span class="name-col">{{ column.text }}</span>
                    <div class="fulltext" *ngIf="column.tooltip">
                      <p class="blacktext">{{ column.tooltip }}</p>
                    </div>
                  </div>
                </div>
              </li>
              <li *ngFor="let item of form.get('data')['controls']; let i = index" [formGroupName]="i">
                <pvt-row-black-oil-properties
                  [item]="item.controls.inputs"
                  [index]="i"
                  [submitted]="submitted"
                  (callback)="callbackRowBlackOilProperties($event)"
                  [hideRemove]="form.get('data')['controls'].length > 1"
                >
                </pvt-row-black-oil-properties>
              </li>
            </ul>
          </form>
          <a href="javascript:;" class="click-add" (click)="addSampleID()">
            <fa-icon class="add-icon plus-icon" [icon]="['fas', 'plus-circle']"></fa-icon> Add Sample ID
          </a>
        </div>
        <!-- end/box add -->
        <div class="box-content">
          <span class="line-top"></span>
          <div class="cover-toggle" *ngIf="showTableCalculator">
            <mat-button-toggle-group (change)="changeValueFeetToMeter($event)">
              <mat-button-toggle value="ft" [checked]="txtUnit === 'ft'">ft</mat-button-toggle>
              <mat-button-toggle value="m" [checked]="txtUnit === 'm'">m</mat-button-toggle>
            </mat-button-toggle-group>
          </div>
          <pvt-table-black-oil-properties
            *ngIf="showTableCalculator"
            [data]="dataTableCalculators"
            (callback)="callbackTable($event)"
          >
          </pvt-table-black-oil-properties>
        </div>
        <!-- end/box content -->
      </div>
      <!-- end/second content -->
    </div>
  </div>
  <!-- end/group-content -->
</div>
<!-- end/container -->
